Foreign exchange (FX)

Create a Forex Booking

POST
/v1/forex/booking

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

amount*integer

The trade amount in a positive integer value in the specified currency's smallest unit. e.g. for SGD, $10 would be represented as 1000 (cents).

Formatint64
currencyPair*string

A currency pair is two currency codes. The first is known as the base currency and the second as the quote currency. Each currency code is a three-letter ISO 4217 currency code in full uppercase. USDSGD with BUY type means you want to buy USD by selling SGD; USDSGD with SELL type means you want to sell USD to buy SGD.

Match^[A-Z]{6}$
tenor*"TODAY"

The tenor for the forex booking.

Value in

  • "TODAY"
type*string

The type of the trade.

Value in

  • "BUY"
  • "SELL"

Response Body

*/*

curl -X POST "https://example.com/v1/forex/booking" \  -H "Content-Type: application/json" \  -d '{    "amount": 0,    "currencyPair": "string",    "tenor": "TODAY",    "type": "BUY"  }'
{  "amount": 0,  "contraAmount": 0,  "createdAt": "string",  "currencyPair": "string",  "id": "string",  "rate": "string",  "resultCode": "string",  "sourceTraceId": "string",  "status": "string",  "tenor": "string",  "transactionReference": "string",  "type": "string",  "updatedAt": "string"}